import { jsx as r } from "react/jsx-runtime";
import { useState as m } from "react";
import { s as l, f } from "./index-T-3isYi5.js";
import { A as u } from "./AppCard-JgJMoBtw.js";
const v = function({ app: p, eventType: i, onAppInstallSuccess: s }) {
  var n;
  const { getAppData: t, setAppData: o } = l(), d = t("trackingId"), [c, a] = m(t("enabled"));
  return /* @__PURE__ */ r(
    u,
    {
      onAppInstallSuccess: s,
      app: p,
      switchOnClick: (e) => {
        a(!!e);
      },
      switchChecked: c,
      teamId: ((n = i.team) == null ? void 0 : n.id) || void 0,
      children: /* @__PURE__ */ r(
        f,
        {
          name: "Tracking ID",
          value: d,
          onChange: (e) => {
            o("trackingId", e.target.value);
          }
        }
      )
    }
  );
};
export {
  v as default
};
